### Name: summarizeReplicates
### Title: Summarise microarray objects
### Aliases: summarizeReplicates
### Keywords: classes

### ** Examples

## Loading the dataset
data(gastro)

## Summarising the data (maigesNorm class), replicated samples will be
## summarised by mean and genes by median
gastro.summ = summarizeReplicates(gastro.norm, gLabelID="GeneName",
  sLabelID="Sample", funcS="mean", funcG="median",
  keepEmpty=FALSE, rmBad=FALSE)

## To summarise genes by mean and keep the blank spots use
gastro.summ = summarizeReplicates(gastro.norm, gLabelID="GeneName",
  sLabelID="Sample", funcS="mean", funcG="mean",
  keepEmpty=TRUE, rmBad=FALSE)



